Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039958
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersminoralways2019-01-15 15:462019-02-20 10:19
ReporterlorenzofidalgoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revisionff8ccfc00b92
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression levelPackaging and release
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039958: Broken POS layout when many options are shown

DescriptionAfter clicking Total Amount button, if 4 buttons are shown at the right of the screen, the layout is broken. There is an overflow and the layout is also displaced
Steps To Reproduce0-Having credit properly configured for "VBS Customer" Business Partner, Gift Cards and Vouchers module installed and a GC created and sold, log in POS as vallblanca.
1-Add 1x "Avalanche transceiver".
2-In dropdown menu, click "Layaway this receipt". After that, click Total Amount button.
3-In Payment methods, click More and click Gift Card payment method. It must be selected.
4-Now add click button "5" and button "0". 50 must appear in the screen. Then, click Enter button. Gift Cards popup must appear.
5-Click magnifier button and select the previously created and sold Gift Card. Then click Apply and the 50€ payment must be placed.
6-Due to 4 buttons are shown, the layout is broken (check attached image).
TagsNo tags attached.
Attached Filespng file icon Broken Layout.png [^] (163,097 bytes) 2019-01-15 15:46

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040134RR19Q1 resolvedranjith_qualiantech_com Broken POS layout when many options are shown 

-  Notes
(0109453)
hgbot (developer)
2019-02-02 11:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ff8ccfc00b92c6a9d9d74d089b6bc9b3cb11a442
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 16:10:53 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ff8ccfc00b92c6a9d9d74d089b6bc9b3cb11a442 [^]

Fixed issue 39958 : Added Scroll Height in payment tab for Process buttons

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0109592)
jorge-garcia (developer)
2019-02-05 16:42

Inline styles are no longer allowed. You should create a css class and assign it to the component instead
(0109687)
ranjith_qualiantech_com (developer)
2019-02-12 11:03

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 281d3613b0249af6a5d6cd2f15cb66fabb52b5d2
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Feb 06 19:40:51 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/281d3613b0249af6a5d6cd2f15cb66fabb52b5d2 [^] [^]

Fixed issue 39958 : Added CSS for Payment Tab Process Button Vertical Scroll

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
(0109688)
ranjith_qualiantech_com (developer)
2019-02-12 11:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a6af456173ebe856e8731db6d5a29905acdfb3e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Feb 06 19:40:53 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a6af456173ebe856e8731db6d5a29905acdfb3e [^] [^]

Related to issue 39958 : Added CSS for Payment Tab Process Button Vertical Scroll

* Removed inline css

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0109948)
jorge-garcia (developer)
2019-02-20 10:19

Issue reviewed and tested

- Issue History
Date Modified Username Field Change
2019-01-15 15:46 lorenzofidalgo New Issue
2019-01-15 15:46 lorenzofidalgo Assigned To => Retail
2019-01-15 15:46 lorenzofidalgo File Added: Broken Layout.png
2019-01-15 15:46 lorenzofidalgo Regression level => Packaging and release
2019-01-15 15:46 lorenzofidalgo Triggers an Emergency Pack => No
2019-01-16 11:17 lorenzofidalgo Priority normal => immediate
2019-01-31 12:00 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-01-31 12:00 ranjith_qualiantech_com Status new => scheduled
2019-02-02 11:41 hgbot Checkin
2019-02-02 11:41 hgbot Note Added: 0109453
2019-02-02 11:41 hgbot Status scheduled => resolved
2019-02-02 11:41 hgbot Resolution open => fixed
2019-02-02 11:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ff8ccfc00b92c6a9d9d74d089b6bc9b3cb11a442 [^]
2019-02-05 09:01 marvintm Status resolved => new
2019-02-05 09:01 marvintm Resolution fixed => open
2019-02-05 09:01 marvintm Status new => scheduled
2019-02-05 09:01 marvintm Status scheduled => resolved
2019-02-05 09:01 marvintm Fixed in Version => RR19Q2
2019-02-05 09:01 marvintm Resolution open => fixed
2019-02-05 16:28 jorge-garcia Review Assigned To => jorge-garcia
2019-02-05 16:42 jorge-garcia Note Added: 0109592
2019-02-05 16:42 jorge-garcia Status resolved => new
2019-02-05 16:42 jorge-garcia Resolution fixed => open
2019-02-05 16:42 jorge-garcia Fixed in Version RR19Q2 =>
2019-02-06 09:58 ranjith_qualiantech_com Status new => scheduled
2019-02-12 11:03 ranjith_qualiantech_com Note Added: 0109687
2019-02-12 11:03 ranjith_qualiantech_com Note Added: 0109688
2019-02-12 11:04 ranjith_qualiantech_com Status scheduled => resolved
2019-02-12 11:04 ranjith_qualiantech_com Resolution open => fixed
2019-02-20 10:19 jorge-garcia Note Added: 0109948
2019-02-20 10:19 jorge-garcia Status resolved => closed
2019-02-20 10:19 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker